curl --request POST \
--url https://eu.phrase.com/quality-evaluator/v2/evaluation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"qualityProfileUid": "6804b1c2d3e4f5a6b7c80123",
"segments": [
{
"id": "segment-1",
"source": "Hello, world!",
"target": "Hallo, Welt!"
}
],
"sourceLocaleCode": "en_us",
"targetLocaleCode": "de_de"
}
'{
"qualityProfileUid": "6804b1c2d3e4f5a6b7c80123",
"segments": [
{
"id": "segment-1",
"source": "Hello, world!",
"target": "Hallo, Welt!",
"results": [
{
"type": "AI_CHECK",
"aiCheckUid": "6804a3f2e1b2c3d4e5f60789",
"evaluation": {
"isValid": true,
"explanation": "The translation uses standard German sentence structure."
}
},
{
"type": "AI_CHECK",
"aiCheckUid": "6804a3f2e1b2c3d4e5f6078a",
"evaluation": {
"isValid": false,
"explanation": "The translation uses informal greeting 'Hallo' instead of formal 'Guten Tag'."
}
}
]
}
]
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Evaluate segments
Deprecated. Will be removed on October 12, 2026. Use POST /v3/evaluation instead.
Evaluates all segments against each AI Check.
Exactly one of qualityProfileUid or aiCheckUids must be provided.
Requires ADMIN or OWNER IDM role.
curl --request POST \
--url https://eu.phrase.com/quality-evaluator/v2/evaluation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"qualityProfileUid": "6804b1c2d3e4f5a6b7c80123",
"segments": [
{
"id": "segment-1",
"source": "Hello, world!",
"target": "Hallo, Welt!"
}
],
"sourceLocaleCode": "en_us",
"targetLocaleCode": "de_de"
}
'{
"qualityProfileUid": "6804b1c2d3e4f5a6b7c80123",
"segments": [
{
"id": "segment-1",
"source": "Hello, world!",
"target": "Hallo, Welt!",
"results": [
{
"type": "AI_CHECK",
"aiCheckUid": "6804a3f2e1b2c3d4e5f60789",
"evaluation": {
"isValid": true,
"explanation": "The translation uses standard German sentence structure."
}
},
{
"type": "AI_CHECK",
"aiCheckUid": "6804a3f2e1b2c3d4e5f6078a",
"evaluation": {
"isValid": false,
"explanation": "The translation uses informal greeting 'Hallo' instead of formal 'Guten Tag'."
}
}
]
}
]
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Headers
Media type of the request body.
"application/json"
Body
Request to evaluate translation segments. Exactly one of qualityProfileUid or aiCheckUids must be provided. Supplying both or neither will result in a 400 Bad Request error.
Segments to evaluate.
1 - 200 elementsShow child attributes
Show child attributes
Locale code compatible with Phrase locale format. Case-insensitive, supports both underscore and hyphen separators (e.g., en_us, en-US, de_de, fr_fr).
"en_us"
Locale code compatible with Phrase locale format. Case-insensitive, supports both underscore and hyphen separators (e.g., en_us, en-US, de_de, fr_fr).
"en_us"
UID of the Quality Profile to use for evaluation. Cannot be combined with aiCheckUids.
List of AI Check UIDs to evaluate against. Cannot be combined with qualityProfileUid. Maximum 3 items.
3Response
Evaluation completed successfully. Returns evaluated segments with per-check results.
Was this page helpful?